package com.kmall.admin.entity.mk.store;

import com.kmall.admin.dto.CheckGoodsDto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 门店优惠券活动商品，临时表
 * 表名 mk_store_topic_goods_temp
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-09 17:33:29
 */
public class MkStoreTicketGoodsTempEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 优惠券商品id
     */
    private Integer discGoodTempId;
    /**
     * 适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    private String applyType;
    /**
     * 门店商品id
     */
    private Integer storeRelaId;
    /**
     * 是否有效,0:有效，1:无效
     */
    private String isValid;
    /**
     * 备注
     */
    private String note;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    private String goodsName;

    private String guid;

    private String isSubmit;

    private Integer storeId;

    private Integer goodsId;

    private String isButtonCannel;

    private Integer tickDiscId;

    private List<Integer> storeRelaIdList;

    private Integer storeTopicId;

    public Integer getStoreTopicId() {
        return storeTopicId;
    }

    public void setStoreTopicId(Integer storeTopicId) {
        this.storeTopicId = storeTopicId;
    }

    public List<Integer> getStoreRelaIdList() {
        return storeRelaIdList;
    }

    public void setStoreRelaIdList(List<Integer> storeRelaIdList) {
        this.storeRelaIdList = storeRelaIdList;
    }

    public Integer getTickDiscId() {
        return tickDiscId;
    }

    public void setTickDiscId(Integer tickDiscId) {
        this.tickDiscId = tickDiscId;
    }

    public String getIsButtonCannel() {
        return isButtonCannel;
    }

    public void setIsButtonCannel(String isButtonCannel) {
        this.isButtonCannel = isButtonCannel;
    }

    public Integer getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public String getIsSubmit() {
        return isSubmit;
    }

    public void setIsSubmit(String isSubmit) {
        this.isSubmit = isSubmit;
    }

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    private List<CheckGoodsDto> checkGoodsList;

    private BigDecimal retailPrice;

    public BigDecimal getRetailPrice() {
        return retailPrice;
    }

    public void setRetailPrice(BigDecimal retailPrice) {
        this.retailPrice = retailPrice;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public List<CheckGoodsDto> getCheckGoodsList() {
        return checkGoodsList;
    }

    public void setCheckGoodsList(List<CheckGoodsDto> checkGoodsList) {
        this.checkGoodsList = checkGoodsList;
    }
    /**
     * 设置：优惠券商品id
     */
    public void setDiscGoodTempId(Integer discGoodTempId) {
        this.discGoodTempId = discGoodTempId;
    }

    /**
     * 获取：优惠券商品id
     */
    public Integer getDiscGoodTempId() {
        return discGoodTempId;
    }
    /**
     * 设置：适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    public void setApplyType(String applyType) {
        this.applyType = applyType;
    }

    /**
     * 获取：适用类型，【apply_type，00:全部商品参与，01:指定商品参与，02:指定商品不参与】
     */
    public String getApplyType() {
        return applyType;
    }
    /**
     * 设置：门店商品id
     */
    public void setStoreRelaId(Integer storeRelaId) {
        this.storeRelaId = storeRelaId;
    }

    /**
     * 获取：门店商品id
     */
    public Integer getStoreRelaId() {
        return storeRelaId;
    }
    /**
     * 设置：是否有效,0:有效，1:无效
     */
    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    /**
     * 获取：是否有效,0:有效，1:无效
     */
    public String getIsValid() {
        return isValid;
    }
    /**
     * 设置：备注
     */
    public void setNote(String note) {
        this.note = note;
    }

    /**
     * 获取：备注
     */
    public String getNote() {
        return note;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
